Subject: bug#64415: [PATCH] Use first match in dir-local `auto-mode-alist'

From: Shynur Xie <[email-masked]>
Date: Sun, 2 Jul 2023 10:29:13 +0000

lispref says var `auto-mode-alist' uses first match, so pseudo
var `auto-mode-alist' in _dir-locals.el should also do that, for
consistency.

Here is a problem caused by the original behavior when Emacs handles
_dir-locals file: <https://emacs.stackexchange.com/questions/77841>.

--
shynur